{ pkgs, ... }:
{
  reichardnix = {
    programs.btop.enable = true;
    programs.direnv.enable = true;
    programs.ghostty.enable = true;
    programs.git.enable = true;
    programs.k9s.enable = true;
    programs.nvim.enable = true;

    programs.hyprland.enable = false;
    programs.aws.enable = false;
  };

  # Global Packages
  programs.jq.enable = true;
  programs.pandoc.enable = true;
  home.packages = with pkgs; [
    android-tools
    imagemagick
    mosh
    python311
    texliveSmall # Pandoc PDF Dep
    google-cloud-sdk
    tldr
  ];

  # SQLite Configuration
  home.file.".sqliterc".text = ''
    .headers on
    .mode column
  '';

  # Enable Home Manager & Self Manage
  home.stateVersion = "24.11";
  programs.home-manager.enable = true;
}
